Check the configured signed update channel now
POST
/v1/console/update-check
const url = 'https://example.com/v1/console/update-check';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/console/update-check \ --header 'Authorization: Bearer <token>'Runs a check now against the configured signed update channel. An air-gapped or unconfigured deployment answers 501 rather than reporting no update.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
advisories
Array<string>
available
required
boolean
channel
required
string
checked_at
string format: date-time
current_version
required
string
enabled
required
boolean
error
string
latest_version
string
security
boolean
up_to_date
required
boolean
Example generated
{ "advisories": [ "example" ], "available": true, "channel": "example", "checked_at": "2026-04-15T12:00:00Z", "current_version": "example", "enabled": true, "error": "example", "latest_version": "example", "security": true, "up_to_date": true}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}